PT UDFs are only shipped with RPM

Bug #1159625 reported by Alexey Kopytov on 2013-03-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server moved to https://jira.percona.com/projects/PS
Fix Released
High
Stewart Smith
5.1
Invalid
High
Unassigned
5.5
Fix Released
High
Stewart Smith
5.6
Fix Released
High
Stewart Smith

Bug Description

For some reasons UDFs referenced here: http://www.percona.com/doc/percona-server/5.5/management/udf_maatkit.html are only packaged into RPMs, but not to tarballs or .debs.

Tags: pkg Edit Tag help

Related branches

tags: added: pkg
Stewart Smith (stewart) wrote :

Here's a starting point for a patch that fixes this bug (the with-mysql-bindir parameter is incorrect IIRC)

=== modified file 'build-ps/debian/rules'
--- build-ps/debian/rules 2014-01-14 07:11:02 +0000
+++ build-ps/debian/rules 2014-01-16 05:10:52 +0000
@@ -169,6 +169,21 @@

  # make install (trailing slash needed for innobase)
  (cd $(builddir) && $(MAKE) install DESTDIR=$(TMP)/)
+
+ # build HandlerSocket
+ (cd storage/HandlerSocket-Plugin-for-MySQL && \
+ MYSQL_CFLAGS="-I $(builddir)/include" \
+ ./configure --with-mysql-source=$(MYSQL_SRC) \
+ --with-mysql-bindir=$(builddir)/bin \
+ --with-mysql-plugindir=$(TMP)/mysql/plugin && \
+ make DESTDIR=$(TMP) install)
+
+ # Build UDFs
+ (cd UDF && \
+ CXXFLAGS="$CXXFLAGS -I$(builddir)/include" \
+ ./configure --includedir=$(builddir)/include \
+ --libdir=$(TMP)/mysql/plugin && \
+ make DESTDIR=$(TMP) install)

  # After installing, remove rpath to make lintian happy.
  set +e; \
@@ -302,8 +317,6 @@

 override_dh_auto_install:
  dh_auto_install
- cd storage/HandlerSocket-Plugin-for-MySQL && make DESTDIR=$(TMP) install
- cd UDF && make DESTDIR=$(TMP) install

 .PHONY: clean clean-patched configure build binary binary-indep binary-arch install patch

Tomislav Plavcic (tplavcic) wrote :

If I'm correct new packages (deb&source) include UDFs so this issue can be closed.

# dpkg -c percona-server-server-5.6_5.6.15-rel63.0-519.saucy_amd64.deb |grep udf
-rw-r--r-- root/root 969 2013-12-18 12:22 ./usr/lib/mysql/plugin/libfnv_udf.la
-rw-r--r-- root/root 5848 2013-12-18 12:22 ./usr/lib/mysql/plugin/libmurmur_udf.so.0.0.0
-rw-r--r-- root/root 5848 2013-12-18 12:22 ./usr/lib/mysql/plugin/libfnv1a_udf.so.0.0.0
-rw-r--r-- root/root 990 2013-12-18 12:22 ./usr/lib/mysql/plugin/libmurmur_udf.la
-rw-r--r-- root/root 983 2013-12-18 12:22 ./usr/lib/mysql/plugin/libfnv1a_udf.la
-rw-r--r-- root/root 2208 2013-12-18 12:22 ./usr/lib/mysql/plugin/libfnv_udf.a
-rw-r--r-- root/root 2210 2013-12-18 12:22 ./usr/lib/mysql/plugin/libfnv1a_udf.a
-rw-r--r-- root/root 2566 2013-12-18 12:22 ./usr/lib/mysql/plugin/libmurmur_udf.a
-rw-r--r-- root/root 5848 2013-12-18 12:22 ./usr/lib/mysql/plugin/libfnv_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 12:22 ./usr/lib/mysql/plugin/libfnv1a_udf.so -> libfnv1a_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 12:22 ./usr/lib/mysql/plugin/libfnv_udf.so.0 -> libfnv_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 12:22 ./usr/lib/mysql/plugin/libfnv1a_udf.so.0 -> libfnv1a_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 12:22 ./usr/lib/mysql/plugin/libfnv_udf.so -> libfnv_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 12:22 ./usr/lib/mysql/plugin/libmurmur_udf.so.0 -> libmurmur_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 12:22 ./usr/lib/mysql/plugin/libmurmur_udf.so -> libmurmur_udf.so.0.0.0

# tar -ztvf Percona-Server-5.6.15-rel63.0.tar.gz |grep udf
-rw-r--r-- jenkins/jenkins 7192 2013-12-18 12:07 Percona-Server-5.6.15-rel63.0/UDF/src/fnv_udf.cc
-rw-r--r-- jenkins/jenkins 7020 2013-12-18 12:07 Percona-Server-5.6.15-rel63.0/UDF/src/fnv1a_udf.cc
-rw-r--r-- jenkins/jenkins 5029 2013-12-18 12:07 Percona-Server-5.6.15-rel63.0/UDF/src/murmur_udf.cc
-rw-r--r-- jenkins/jenkins 35599 2013-12-18 10:52 Percona-Server-5.6.15-rel63.0/sql/udf_example.cc
-rw-r--r-- jenkins/jenkins 500 2013-12-18 10:52 Percona-Server-5.6.15-rel63.0/sql/udf_example.def
-rw-r--r-- jenkins/jenkins 3922 2013-12-18 10:52 Percona-Server-5.6.15-rel63.0/sql/sql_udf.h
-rw-r--r-- jenkins/jenkins 18104 2013-12-18 10:52 Percona-Server-5.6.15-rel63.0/sql/sql_udf.cc

Mark Devlin (mrd72) wrote :

The UDFs are still missing from percona-server-server-5.5 5.5.36-rel34.1.

# dpkg -c percona-server-server-5.5_5.5.36-rel34.1-642.lucid_amd64.deb |grep _udf
# dpkg -c percona-server-server-5.5_5.5.36-rel34.0-632.lucid_amd64.deb |grep _udf
# dpkg -c percona-server-server-5.5_5.5.35-rel33.0-611.lucid_amd64.deb |grep _udf
-rw-r--r-- root/root 985 2013-12-18 05:06 ./usr/lib/mysql/plugin/libfnv1a_udf.la
-rw-r--r-- root/root 2194 2013-12-18 05:06 ./usr/lib/mysql/plugin/libfnv1a_udf.a
-rw-r--r-- root/root 971 2013-12-18 05:06 ./usr/lib/mysql/plugin/libfnv_udf.la
-rw-r--r-- root/root 6016 2013-12-18 05:06 ./usr/lib/mysql/plugin/libfnv_udf.so.0.0.0
-rw-r--r-- root/root 2184 2013-12-18 05:06 ./usr/lib/mysql/plugin/libfnv_udf.a
-rw-r--r-- root/root 992 2013-12-18 05:06 ./usr/lib/mysql/plugin/libmurmur_udf.la
-rw-r--r-- root/root 6024 2013-12-18 05:06 ./usr/lib/mysql/plugin/libfnv1a_udf.so.0.0.0
-rw-r--r-- root/root 2494 2013-12-18 05:06 ./usr/lib/mysql/plugin/libmurmur_udf.a
-rw-r--r-- root/root 6024 2013-12-18 05:06 ./usr/lib/mysql/plugin/libmurmur_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 05:06 ./usr/lib/mysql/plugin/libfnv1a_udf.so -> libfnv1a_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 05:06 ./usr/lib/mysql/plugin/libfnv1a_udf.so.0 -> libfnv1a_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 05:06 ./usr/lib/mysql/plugin/libmurmur_udf.so.0 -> libmurmur_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 05:06 ./usr/lib/mysql/plugin/libfnv_udf.so.0 -> libfnv_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 05:06 ./usr/lib/mysql/plugin/libmurmur_udf.so -> libmurmur_udf.so.0.0.0
lrwxrwxrwx root/root 0 2013-12-18 05:06 ./usr/lib/mysql/plugin/libfnv_udf.so -> libfnv_udf.so.0.0.0

Tomislav Plavcic (tplavcic) wrote :

Hi Mark,

UDFs and HandlerSocket were added in 5.5.36-34.2 so please check that version.

Percona now uses JIRA for bug reports so this bug report is migrated to: https://jira.percona.com/browse/PS-646

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers